import distutils.core

symbiosis = distutils.core.Extension(
  'symbiosis',
  libraries = [ 'opengl32', 'freeglut' ],
  sources = [ 'symbiosis.c' ],
)

fractal = distutils.core.Extension(
  'fractal',
  libraries = [ 'opengl32' ],
  sources = [ 'fractal.c' ],
)

distutils.core.setup(
  name = 'resemble',
  version = '0.1',
  description = "A rules-based square fractal engine, backed by OpenGL via C "
                "extensions.",
  author = "Peter Mawhorter",
  author_email = "pmawhorter@gmail.com",
  ext_modules = [ symbiosis, fractal ],
)
